PgBeam Docs
Projects

List replicas

GET
/v1/databases/{database_id}/replicas

Lists all read replicas for a database.

Authorization

AuthorizationBearer <token>

JWT issued by Better Auth. Verified via JWKS.

In: header

Path Parameters

database_id*string

Unique database identifier (prefixed, e.g. db_xxx).

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/databases/string/replicas"
{  "replicas": [    {      "id": "rep_01h455vb4pex5vsknk084sn02q",      "database_id": "db_01h455vb4pex5vsknk084sn02q",      "host": "replica.db.example.com",      "port": 5432,      "ssl_mode": "require",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "next_page_token": "string"}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}